# Categories

The category object is a taxonomy for vouchers, events and products and is used on stores to decide where each product is shown as the customer can navigate to a category via the interface and each category can be linked to directly with the `permalink`.

The home page is added to every products as a non-removeable category by default and can be identified by the `homePageCategory` attribute.

## List categories

<mark style="color:blue;">`GET`</mark> `https://api.giftpro.co.uk/categories/`

Returns a list of all categiories that the API key has access to, you can pass `domainID` as a parameter to filter the locations to a [specific property](https://docs.giftpro.co.uk/#properties).

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "data": [
    {
        "categoryID": 3837,
        "domainID": 1006,
        "name": "Valentine's Day Gifts",
        "permalink": "valentines-day-gifts",
        "status": "Live",
        "visibility": "Public",
        "visibleFrom": null,
        "visibleTo": null,
        "images": {},
        "homePageCategory": false,
        "dateCreated": "2022-01-14 09:47:14",
        "dateUpdated": "2022-01-14 09:57:43",
        "userID": 5686,
        "productType": "Vouchers",
        "seoPageTitle": "",
        "order": 0,
        "hideCategoryNavigation": false,
        "introductionTitle": "",
        "introductionDescription": "",
        "seoMetaDescription": "",
        "homeHeaderText": "Gift Vouchers and Experiences"
    },
    {...}
  ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.giftpro.co.uk/reference/categories.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
